Debian Bug report logs - #636977
RFP: boot-repair -- Simple tool to repair boot problems

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "yannubuntu@gmail.com" <yannubuntu@gmail.com>

Date: Sun, 7 Aug 2011 14:45:05 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#636977; Package boot-repair. (Sun, 07 Aug 2011 14:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sun, 07 Aug 2011 14:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: boot-repair -- Simple tool to repair boot problems
Date: Sun, 7 Aug 2011 23:43:27 +0900
[Message part 1 (text/plain, inline)]
Package: boot-repair
Version: 3
Severity: wishlist
Tags: needs-packaging

Boot-Repair is a little GUI to easily restore access to operating
systems (reinstall GRUB bootloader, restore MBR, repare
filesystems...)
Homepage: https://launchpad.net/boot-repair
[Message part 2 (text/html, inline)]

Bug reassigned from package 'boot-repair' to 'wnpp'. Request was from Gergely Nagy <algernon@balabit.hu> to control@bugs.debian.org. (Mon, 08 Aug 2011 11:48:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 3. Request was from Gergely Nagy <algernon@balabit.hu> to control@bugs.debian.org. (Mon, 08 Aug 2011 11:48:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Wed, 02 Nov 2011 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 02 Nov 2011 21:27:30 GMT) Full text and rfc822 format available.

Message #14 received at 636977@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: yannubuntu@gmail.com
Cc: 636977@bugs.debian.org, 637074@bugs.debian.org
Subject: Status of boot-repair and boot-repair-common
Date: Wed, 2 Nov 2011 22:25:41 +0100
Hi!

I'd be interested in having this in Debian unstable soon, so how's the
current status of these ITPs?
Do you still have interest in doing the job? If you need help to
handling the packaging or a mere sponsor, please don't hesitate to
ask.

I hope to hear from you soon, cheers!

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Sat, 05 Nov 2011 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 05 Nov 2011 01:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 636977@bugs.debian.org, 637074@bugs.debian.org
Subject: Re: Status of boot-repair and boot-repair-common
Date: Sat, 5 Nov 2011 02:46:27 +0100
2011/11/2, Alessio Treglia <alessio@debian.org>:
> Hi!
>
> I'd be interested in having this in Debian unstable soon, so how's the
> current status of these ITPs?
> Do you still have interest in doing the job? If you need help to
> handling the packaging or a mere sponsor, please don't hesitate to
> ask.
>
> I hope to hear from you soon, cheers!
>
> --
> Alessio Treglia          | www.alessiotreglia.com
> Debian Developer         | alessio@debian.org
> Ubuntu Core Developer    | quadrispro@ubuntu.com
> 0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0
>

Hi Alessio, thanks for your interest in this tool.
Yes I still have interest in packaging it for Debian but I need help.
I use a software (LaunchBash) to do packaging for Ubuntu and upload to
PPA, but I don't know how to package for Debian, your help would be
much appreciated.
Boot-Repair needs 3 packages : boot-repair , boot-repair-common and
clean-ubiquity-common . Their sources can be found here:
https://launchpad.net/~yannubuntu/+archive/boot-repair/+packages .
They are made of Bash scripts, so i guess packaging should be quite
simple?

Best regards
Yann ,   Boot-Repair & OS-Uninstaller developer




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Fri, 25 Nov 2011 17:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 25 Nov 2011 17:51:03 GMT) Full text and rfc822 format available.

Message #24 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 636977@bugs.debian.org, 637074@bugs.debian.org, 637075@bugs.debian.org
Subject: Re: Status of boot-repair, boot-repair-common and clean-ubiquity-common
Date: Fri, 25 Nov 2011 18:48:10 +0100
2011/11/5, yannubuntu@gmail.com <yannubuntu@gmail.com>:
> 2011/11/2, Alessio Treglia <alessio@debian.org>:
>> Hi!
>>
>> I'd be interested in having this in Debian unstable soon, so how's the
>> current status of these ITPs?
>> Do you still have interest in doing the job? If you need help to
>> handling the packaging or a mere sponsor, please don't hesitate to
>> ask.
>>
>> I hope to hear from you soon, cheers!
>>
>> --
>> Alessio Treglia          | www.alessiotreglia.com
>> Debian Developer         | alessio@debian.org
>> Ubuntu Core Developer    | quadrispro@ubuntu.com
>> 0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0
>>
>
> Hi Alessio, thanks for your interest in this tool.
> Yes I still have interest in packaging it for Debian but I need help.
> I use a software (LaunchBash) to do packaging for Ubuntu and upload to
> PPA, but I don't know how to package for Debian, your help would be
> much appreciated.
> Boot-Repair needs 3 packages : boot-repair , boot-repair-common and
> clean-ubiquity-common . Their sources can be found here:
> https://launchpad.net/~yannubuntu/+archive/boot-repair/+packages .
> They are made of Bash scripts, so i guess packaging should be quite
> simple?
>
> Best regards
> Yann ,   Boot-Repair & OS-Uninstaller developer

Hello Alessio,

Quick update: I am still failing to package for Debian (but succeed to
create Precise packages in the PPA).
For information, the ITP for clean-ubiquity-common is 637075, so the 3
packages needed for the software are:
636977, 637074, and 637075

Regards
Yann




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Sat, 26 Nov 2011 11:06:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Nov 2011 11:07:00 GMT) Full text and rfc822 format available.

Message #29 received at 636977@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
Cc: 636977@bugs.debian.org, 637074@bugs.debian.org, 637075@bugs.debian.org
Subject: Re: Status of boot-repair, boot-repair-common and clean-ubiquity-common
Date: Sat, 26 Nov 2011 11:58:58 +0100
Hi,

On Fri, Nov 25, 2011 at 6:48 PM, yannubuntu@gmail.com
<yannubuntu@gmail.com> wrote:
> Quick update: I am still failing to package for Debian (but succeed to
> create Precise packages in the PPA).
> For information, the ITP for clean-ubiquity-common is 637075, so the 3
> packages needed for the software are:
> 636977, 637074, and 637075

I'm on holiday now, I'll come back home tomorrow and let you know soon.
Cheers!

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Tue, 27 Dec 2011 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 27 Dec 2011 12:09:23 GMT) Full text and rfc822 format available.

Message #34 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: 636977@bugs.debian.org
Cc: 637073@bugs.debian.org, 637074@bugs.debian.org, 637075@bugs.debian.org, Alessio Treglia <alessio@debian.org>
Subject: Boot-Repair's GIT update - still need help for packaging
Date: Tue, 27 Dec 2011 13:05:15 +0100
[Message part 1 (text/plain, inline)]
dear all,

updated GIT tree:
http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git

I still need help to create Debian&Ubuntu packagings.

Regards, and best wishes for this end of year :)
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Wed, 28 Dec 2011 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 28 Dec 2011 10:09:06 GMT) Full text and rfc822 format available.

Message #39 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 636977@bugs.debian.org
Subject: Re: Status of boot-repair, clean-gui , clean, os-uninstaller and clean-ubiquity packages
Date: Wed, 28 Dec 2011 11:06:54 +0100
[Message part 1 (text/plain, inline)]
Hello Alessio,

2011/12/28 Alessio Treglia <alessio@debian.org>

> Yann,
>
> don't worry, please merge the setup* scripts into a single one, let
> the final setup.py install files in one-shot, I'll arrange things in
> debian/* to create three different binaries (*.deb) by tuning
> dh_install control files (debian/package1.install,
> debian/package2.install and debian/package3.install).
>
> And no worries about python-support, we will use dh_python2 instead
> since it is deprecated.
>

ok thanks !


>
> So, please, let's merge all setup*.py scripts into a single one and
> give me the lists of which files should be installed in which package.
>


DONE. The merged setup.py , and the 5 LISTS are at the root of the GIT (
http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git;a=tree )
Please note that there are now 5 binaries, not 3.

***
In the meantime, I had a try for separate packaging, which gave me the
following:
http://mentors.debian.net/package/boot-repair
http://mentors.debian.net/package/clean
http://mentors.debian.net/package/clean-gui
http://mentors.debian.net/package/clean-ubiquity
http://mentors.debian.net/package/os-uninstaller

I don't know what the errors (in the "QA information" zone) mean. I also
don't know how to solve the "A watch file is not present" warning.
***

For information: when I packaged via debuild -us -uc, Lintian was clean,
but i saw the following warning:
dpkg-deb: warning: 'debian/clean/DEBIAN/control' contains user-defined
field 'Python-Version'
any idea?
***

Regards
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Mon, 02 Jan 2012 02:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Jan 2012 02:09:06 GMT) Full text and rfc822 format available.

Message #44 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: debian-mentors@lists.debian.org, 636977@bugs.debian.org
Subject: Re: RFS: boot-repair
Date: Mon, 2 Jan 2012 03:05:56 +0100
[Message part 1 (text/plain, inline)]
Happy new year !

I disabled the update from PPA, removed the setup.py, created the
packages.install files, moved data to debian/tmp
and changed the rule to %:    dh_install --sourcedir=debian/tmp
See http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git

But now I get this error when i try to package:

dpkg-genchanges: error: cannot read files list file: No such file or
directory
dpkg-buildpackage: error: dpkg-genchanges gave error exit status 2
debuild: fatal error at line 1348:
dpkg-buildpackage -rfakeroot -D -us -uc failed

any idea?

Regards
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Mon, 02 Jan 2012 15:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Jan 2012 15:45:07 GMT) Full text and rfc822 format available.

Message #49 received at 636977@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
Cc: debian-mentors@lists.debian.org, 636977@bugs.debian.org
Subject: Re: RFS: boot-repair
Date: Mon, 02 Jan 2012 23:42:25 +0800
On 01/02/2012 10:05 AM, yannubuntu@gmail.com wrote:
> Happy new year !
>
> I disabled the update from PPA, removed the setup.py, created the
> packages.install files, moved data to debian/tmp
> and changed the rule to %:    dh_install --sourcedir=debian/tmp
> See http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git
>
> But now I get this error when i try to package:
>
> dpkg-genchanges: error: cannot read files list file: No such file or
> directory
> dpkg-buildpackage: error: dpkg-genchanges gave error exit status 2
> debuild: fatal error at line 1348:
> dpkg-buildpackage -rfakeroot -D -us -uc failed
>
> any idea?
>
> Regards
>
zigo@GPLHost:buzig>_ /tmp/boot-repair$ git clone
"http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git"
Cloning into boot-repair...
fatal:
http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git/info/refs
not found: did you run git update-server-info on the server?

Please fix it.

Thomas





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Mon, 02 Jan 2012 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Jan 2012 15:51:06 GMT) Full text and rfc822 format available.

Message #54 received at 636977@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
Cc: debian-mentors@lists.debian.org, 636977@bugs.debian.org
Subject: Re: RFS: boot-repair
Date: Mon, 02 Jan 2012 23:47:28 +0800
On 01/02/2012 10:05 AM, yannubuntu@gmail.com wrote:
> Happy new year !
>
> I disabled the update from PPA, removed the setup.py, created the
> packages.install files, moved data to debian/tmp
> and changed the rule to %:    dh_install --sourcedir=debian/tmp
> See http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git
>
> But now I get this error when i try to package:
>
> dpkg-genchanges: error: cannot read files list file: No such file or
> directory
> dpkg-buildpackage: error: dpkg-genchanges gave error exit status 2
> debuild: fatal error at line 1348:
> dpkg-buildpackage -rfakeroot -D -us -uc failed
>
> any idea?
>
> Regards
>
Sorry, ignore my previous message.

On your Git repository, there's only one branch called
master, containing the debian folder.

Please read on how to use git-buildpackage.

Just FYI, you should use 2 branches, one for your upstream
code, and one containing that + the debian folder, so that
one can use "git-buildpackage".

Cheers,

Thomas





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Mon, 02 Jan 2012 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Jan 2012 16:39:06 GMT) Full text and rfc822 format available.

Message #59 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: 636977@bugs.debian.org, zigo@debian.org, alessio@debian.org
Subject: Re: RFS: boot-repair
Date: Mon, 2 Jan 2012 17:34:35 +0100
[Message part 1 (text/plain, inline)]
> Just FYI, you should use 2 branches, one for your upstream
> code, and one containing that + the debian folder, so that
> one can use "git-buildpackage".
>
> Cheers,
> Thomas
>

i read the git-buildpackage man, but i'm sorry i don't understand what to
change in the GIT, nor how to create a 2nd branch in it.
Maybe this is something that only the GIT owner (Alessio) can change ?

Regards
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Mon, 02 Jan 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 02 Jan 2012 17:39:03 GMT) Full text and rfc822 format available.

Message #64 received at 636977@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
Cc: 636977@bugs.debian.org, alessio@debian.org
Subject: Re: RFS: boot-repair
Date: Tue, 03 Jan 2012 01:36:15 +0800
On 01/03/2012 12:34 AM, yannubuntu@gmail.com wrote:
> 
>     Just FYI, you should use 2 branches, one for your upstream
>     code, and one containing that + the debian folder, so that
>     one can use "git-buildpackage".
> 
>     Cheers,
>     Thomas
> 
> 
> i read the git-buildpackage man, but i'm sorry i don't understand what
> to change in the GIT, nor how to create a 2nd branch in it.
> Maybe this is something that only the GIT owner (Alessio) can change ?
> 
> Regards
> Yann

A quick howto, from back of my head.

By the way, what alessio has to do with all this?

# Initialize a new Git repo with upstream sources
mkdir boot-repair
cd boot-repair
tar -xvzf ../boot-repair_<version>.orig.tar.gz
mv boot-repair-<version>/* .
rmdir boot-repair-<version>
git init
git add *
git commit -a -m "Added initial upstream sources v<version>"

# Add the debian dir in a new branch
git checkout -b debian
echo "[DEFAULT]
upstream-branch = master
debian-branch = debian
[git-buildpackage]
export-dir = ../build-area/" >debian/gbp.conf

[ ... add all your files in the debian folder ...]

git add debian
git commit -a -m "Added initial debian folder"

# Now you can build
git-buildpackage

I hope that helps, cheers,

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Wed, 04 Jan 2012 16:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Jan 2012 16:36:05 GMT) Full text and rfc822 format available.

Message #69 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Thomas Goirand <thomas@goirand.fr>, 636977@bugs.debian.org, alessio@debian.org
Subject: Packaging Boot-Repair with dh_install
Date: Wed, 4 Jan 2012 17:33:37 +0100
[Message part 1 (text/plain, inline)]
 Dear all, does somebody know an example of package using dh_install ?
(the one in manpage is not explicit enough for me).

Thanks Thomas for your help.

By the way, what alessio has to do with all this?
>

He helped for the packaging preparation ( created the GIT, and improved
several files in the debian folder).



>
> # Initialize a new Git repo with upstream sources
> mkdir boot-repair
> cd boot-repair
> tar -xvzf ../boot-repair_<version>.orig.tar.gz
> mv boot-repair-<version>/* .
> rmdir boot-repair-<version>
> git init
> git add *
> git commit -a -m "Added initial upstream sources v<version>"
>

DONE, and pushed. (
http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git )


>
> # Add the debian dir in a new branch
> git checkout -b debian
> echo "[DEFAULT]
> upstream-branch = master
> debian-branch = debian
> [git-buildpackage]
> export-dir = ../build-area/" >debian/gbp.conf
>
> [ ... add all your files in the debian folder ...]
>
> git add debian
> git commit -a -m "Added initial debian folder"
>

DONE
but when i push, i don't see where this branch is in the GIT !?


> # Now you can build
> git-buildpackage
>


this gives me errors:

$ git-buildpackage
dh_install
gbp:error: You have uncommitted changes in your source tree:
gbp:error: # On branch debian
# Untracked files:
#   (use "git add <file>..." to include in what will be committed)
#
#    debian/boot-repair.debhelper.log
#    debian/boot-repair/
#    debian/clean-gui.debhelper.log
#    debian/clean-gui/
#    debian/clean-ubiquity.debhelper.log
#    debian/clean-ubiquity/
#    debian/clean.debhelper.log
#    debian/clean/
#    debian/os-uninstaller.debhelper.log
#    debian/os-uninstaller/
nothing added to commit but untracked files present (use "git add" to track)

gbp:error: Use --git-ignore-new to ignore.

Regards
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Wed, 04 Jan 2012 17:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Jan 2012 17:36:05 GMT) Full text and rfc822 format available.

Message #74 received at 636977@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
Cc: 636977@bugs.debian.org, alessio@debian.org
Subject: Re: Packaging Boot-Repair with dh_install
Date: Thu, 05 Jan 2012 01:33:39 +0800
On 01/05/2012 12:33 AM, yannubuntu@gmail.com wrote:
> Dear all, does somebody know an example of package using dh_install ? 
> (the one in manpage is not explicit enough for me).
> 
> Thanks Thomas for your help.
> 
>     By the way, what alessio has to do with all this?
> 
> 
> He helped for the packaging preparation ( created the GIT, and improved
> several files in the debian folder).
> 
>  
> 
> 
>     # Initialize a new Git repo with upstream sources
>     mkdir boot-repair
>     cd boot-repair
>     tar -xvzf ../boot-repair_<version>.orig.tar.gz
>     mv boot-repair-<version>/* .
>     rmdir boot-repair-<version>
>     git init
>     git add *
>     git commit -a -m "Added initial upstream sources v<version>"
> 
> 
> DONE, and pushed. (
> http://anonscm.debian.org/gitweb/?p=collab-maint/boot-repair.git )

At this address, there's only one unique (master) branch. You didn't
upload a debian branch.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Sat, 07 Jan 2012 04:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 07 Jan 2012 04:21:03 GMT) Full text and rfc822 format available.

Message #79 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Alessio Treglia <alessio@debian.org>, 636977@bugs.debian.org
Subject: Re: Packaging Boot-Repair with dh_install
Date: Sat, 7 Jan 2012 05:19:13 +0100
[Message part 1 (text/plain, inline)]
Hello

I updated sources, taking into account all comments from reviews.

Now my problem is how to use dh_install . I would be happy if someone
knowing dh_install packaging could help on this.

As long as there is no solution with dh_install, i will use the only
packaging solution i know (setup.py) to update http://mentors.debian.net/ ,
and propose for upload.

Regards
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Thu, 12 Jan 2012 16:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 Jan 2012 16:00:15 GMT) Full text and rfc822 format available.

Message #84 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 636977@bugs.debian.org
Subject: RFS: boot-repair (v3.04)
Date: Thu, 12 Jan 2012 16:58:55 +0100
[Message part 1 (text/plain, inline)]
Dear mentors,

I am looking for a sponsor for my package "boot-repair".

 * Package name    : boot-repair
   Version         : 3.04
   Upstream Author : Yann Mrn (yannubuntu@gmail.com)
 * URL             : https://sourceforge.net/p/boot-repair/home/Home/
 * License         : GPLv3
   Section         : admin

It builds those binary packages:

 boot-repair - Graphical tool to repair boot problems
 boot-sav   - Librairies for Clean-Ubiquity, OS-uninstaller & Boot-repair
 boot-sav-gui - Librairies for OS-uninstaller and Boot-repair
 clean-ubiquity - Make the Ubiquity installer safer
 os-uninstaller - Operating System Uninstaller

To access further information about this package, please visit the
following URL:

  http://mentors.debian.net/package/boot-repair

Alternatively, one can download the package with dget using this command:

  dget -x
http://mentors.debian.net/debian/pool/main/b/boot-repair/boot-repair_3.04.dsc


I took into account all remarks from last reviews:
 - fixed /usr/share/clean (became /usr/share/boot-sav)
 - fixed (removed) self-update
 - fixed "X: boot-repair source: python-depends-but-no-python-helper
boot-repair"...
 - fixed "temporary files created in an insecure way." (now uses mktemp)
 - fixed the packaging in order to group the 5 binary packages (via
.install files)

Package is lintian (--pedantic -E -i -I) clean.

I would be glad if someone uploaded this package for me.

Kind regards,

Yann MRN
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Wed, 18 Jan 2012 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 18 Jan 2012 15:15:03 GMT) Full text and rfc822 format available.

Message #89 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: debian-mentors@lists.debian.org
Cc: 636977@bugs.debian.org
Subject: RFS: boot-repair ( 2nd try )
Date: Wed, 18 Jan 2012 16:13:02 +0100
[Message part 1 (text/plain, inline)]
2012/1/12

> Dear mentors,
>
> I am looking for a sponsor for my package "boot-repair".
>
>  * Package name    : boot-repair
>    Version         : 3.04
>    Upstream Author : Yann Mrn (yannubuntu@gmail.com)
>  * URL             : https://sourceforge.net/p/boot-repair/home/Home/
>  * License         : GPLv3
>    Section         : admin
>
> It builds those binary packages:
>
>  boot-repair - Graphical tool to repair boot problems
>  boot-sav   - Librairies for Clean-Ubiquity, OS-uninstaller & Boot-repair
>  boot-sav-gui - Librairies for OS-uninstaller and Boot-repair
>  clean-ubiquity - Make the Ubiquity installer safer
>  os-uninstaller - Operating System Uninstaller
>
> To access further information about this package, please visit the
> following URL:
>
>   http://mentors.debian.net/package/boot-repair
>
> Alternatively, one can download the package with dget using this command:
>
>   dget -x
> http://mentors.debian.net/debian/pool/main/b/boot-repair/boot-repair_3.04.dsc
>
>
> I took into account all remarks from last reviews:
>  - fixed /usr/share/clean (became /usr/share/boot-sav)
>  - fixed (removed) self-update
>  - fixed "X: boot-repair source: python-depends-but-no-python-helper
> boot-repair"...
>  - fixed "temporary files created in an insecure way." (now uses mktemp)
>  - fixed the packaging in order to group the 5 binary packages (via
> .install files)
>
> Package is lintian (--pedantic -E -i -I) clean.
>
> I would be glad if someone uploaded this package for me.
>
> Kind regards,
>
> Yann MRN
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Mon, 30 Jan 2012 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Jan 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #94 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 636977@bugs.debian.org
Subject: Re: Boot-Repair sponsoring news ?
Date: Mon, 30 Jan 2012 21:08:23 +0100
[Message part 1 (text/plain, inline)]
Hello Alessio,

The GIT seems to be down, so i just continue updating the
http://mentors.debian.net/package/boot-repair
Yesterday i set the packaging to "non-native", as i am now working on
Fedora and OpenSuse packaging too.
Of course, i made the according changes, so that it is still lintian -E
--pedantic clean.

My priority is integration in Debian and Precise, so please give me news !

Regards
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Thu, 01 Mar 2012 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 01 Mar 2012 14:57:05 GMT) Full text and rfc822 format available.

Message #99 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 636977@bugs.debian.org
Subject: Re: Boot-Repair sponsoring news ?
Date: Thu, 1 Mar 2012 15:54:51 +0100
[Message part 1 (text/plain, inline)]
>2012/2/14 Alessio Treglia <alessio@debian.org>
>On Fri, Feb 10, 2012 at 8:09 PM, yannubuntu@gmail.com
><yannubuntu@gmail.com> wrote:
>> I updated the GIT with :
>> - embarked g2s-gtk2, so that you can see the difference of packaging.
(the
>> pyGTK2 dependency is moved to the "boot-sav" package).
>> - minor upstream fixes in gui-g2slaunch.sh and gui-update.sh
>
>Looks good, I'll have a further look later today.
>
>--
>Alessio Treglia          | www.alessiotreglia.com
>Debian Developer         | alessio@debian.org
>Ubuntu Core Developer    | quadrispro@ubuntu.com
>0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A
>
2012/2/22 yannubuntu@gmail.com <yannubuntu@gmail.com>

>
>
> 2012/2/22 Alessio Treglia <alessio@debian.org>
>
>> Yann,
>>
>> sorry for the unbelievable delay, I am in trouble with my examinations.
>>
>> On Tue, Feb 21, 2012 at 10:36 PM, yannubuntu@gmail.com
>> <yannubuntu@gmail.com> wrote:
>> > is there any chance to see Boot-Repair integrated in the Precise ISO ?
>>
>> Sincerely I don't know, I'll have a look at it tomorrow.
>>
>> Regards, and please again apologize for the delay.
>>
>
>
> No problem. if you could just upload, i will try to ask the
> FeatureFreezeException by myself.
>
> Good luck for your exams !
> Yann
>

Hello Alessio,
any news?
There is now Precise beta freeze, should i directly ask Feature Freeze
Exception ?

Regards
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Sun, 11 Mar 2012 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "yannubuntu@gmail.com" <yannubuntu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 11 Mar 2012 08:33:03 GMT) Full text and rfc822 format available.

Message #104 received at 636977@bugs.debian.org (full text, mbox):

From: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 636977@bugs.debian.org
Subject: Re: Boot-Repair sponsoring news ?
Date: Sun, 11 Mar 2012 09:30:02 +0100
[Message part 1 (text/plain, inline)]
Hi Alessio,

Fabrice (another MOTU) is ok to upload Boot-Repair if you agree:
https://bugs.launchpad.net/ubuntu/+bug/806291/comments/30

Please could you add a comment?

Regards
Yann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636977; Package wnpp. (Mon, 12 Mar 2012 01:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 12 Mar 2012 01:33:07 GMT) Full text and rfc822 format available.

Message #109 received at 636977@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: "yannubuntu@gmail.com" <yannubuntu@gmail.com>
Cc: 636977@bugs.debian.org
Subject: Re: Boot-Repair sponsoring news ?
Date: Mon, 12 Mar 2012 02:30:07 +0100
On Sun, Mar 11, 2012 at 9:30 AM, yannubuntu@gmail.com
<yannubuntu@gmail.com> wrote:
> Hi Alessio,
>
> Fabrice (another MOTU) is ok to upload Boot-Repair if you agree:
> https://bugs.launchpad.net/ubuntu/+bug/806291/comments/30
>
> Please could you add a comment?

Done, and sorry for the delay.
I'm very busy now, if anyone won't sponsor boot-repair I'll do my best
to get back to work on this at least in time for Wheezy.

Cheers.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Owner recorded as yannubuntu@gmail.com. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 12 Jun 2012 05:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, yannubuntu@gmail.com:
Bug#636977; Package wnpp. (Fri, 16 Aug 2013 17:05:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, yannubuntu@gmail.com. (Fri, 16 Aug 2013 17:05:22 GMT) Full text and rfc822 format available.

Message #116 received at 636977@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 636977@bugs.debian.org
Cc: control@bugs.debian.org
Subject: boot-repair: changing back from ITP to RFP
Date: Fri, 16 Aug 2013 18:58:54 +0200
retitle 636977 RFP: boot-repair -- Simple tool to repair boot problems
noowner 636977
tag 636977 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging boot-repair. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of boot-repair back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 14 months.

If you are still interested in packaging boot-repair, please send a mail to
<control@bugs.debian.org> with:

 retitle 636977 ITP: boot-repair -- Simple tool to repair boot problems
 owner 636977 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <636977@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: boot-repair -- Simple tool to repair boot problems' from 'ITP: boot-repair -- Simple tool to repair boot problems' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:11:28 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by yannubuntu@gmail.com. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 17:11:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:50:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.